summaryrefslogtreecommitdiff
path: root/test/TEST-32-OOMPOLICY/test.sh
diff options
context:
space:
mode:
authorZbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl>2019-05-19 13:00:00 +0200
committerZbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl>2019-05-19 13:00:00 +0200
commit5c305ce2db2ce423bd04e4d4bfbc071ffcae04d2 (patch)
tree4bbebb536a08adf8b89b47cfaae99a23a6cbca1b /test/TEST-32-OOMPOLICY/test.sh
parent95cff2a7942badfe7d3fbf12a644749c3dc76b1d (diff)
downloadsystemd-5c305ce2db2ce423bd04e4d4bfbc071ffcae04d2.tar.gz
test: rename TEST-31-OOMPOLICY to TEST-32-OOMPOLICY
TEST-31-DEVICE-ENUMERATION got merged first.
Diffstat (limited to 'test/TEST-32-OOMPOLICY/test.sh')
-rwxr-xr-xtest/TEST-32-OOMPOLICY/test.sh52
1 files changed, 52 insertions, 0 deletions
diff --git a/test/TEST-32-OOMPOLICY/test.sh b/test/TEST-32-OOMPOLICY/test.sh
new file mode 100755
index 0000000000..55752e6a70
--- /dev/null
+++ b/test/TEST-32-OOMPOLICY/test.sh
@@ -0,0 +1,52 @@
+#!/bin/bash
+# -*- mode: shell-script; indent-tabs-mode: nil; sh-basic-offset: 4; -*-
+# ex: ts=8 sw=4 sts=4 et filetype=sh
+set -e
+TEST_DESCRIPTION="test OOM killer logic"
+TEST_NO_NSPAWN=1
+
+. $TEST_BASE_DIR/test-functions
+
+UNIFIED_CGROUP_HIERARCHY=yes
+
+test_setup() {
+ create_empty_image
+ mkdir -p $TESTDIR/root
+ mount ${LOOPDEV}p1 $TESTDIR/root
+
+ (
+ LOG_LEVEL=5
+ eval $(udevadm info --export --query=env --name=${LOOPDEV}p2)
+
+ setup_basic_environment
+
+ # mask some services that we do not want to run in these tests
+ ln -fs /dev/null $initdir/etc/systemd/system/systemd-hwdb-update.service
+ ln -fs /dev/null $initdir/etc/systemd/system/systemd-journal-catalog-update.service
+ ln -fs /dev/null $initdir/etc/systemd/system/systemd-networkd.service
+ ln -fs /dev/null $initdir/etc/systemd/system/systemd-networkd.socket
+ ln -fs /dev/null $initdir/etc/systemd/system/systemd-resolved.service
+ ln -fs /dev/null $initdir/etc/systemd/system/systemd-machined.service
+
+ # setup the testsuite service
+ cat >$initdir/etc/systemd/system/testsuite.service <<EOF
+[Unit]
+Description=Testsuite service
+
+[Service]
+ExecStart=/testsuite.sh
+Type=oneshot
+StandardOutput=tty
+StandardError=tty
+MemoryAccounting=yes
+EOF
+ cp testsuite.sh $initdir/
+
+ setup_testsuite
+ ) || return 1
+
+ ddebug "umount $TESTDIR/root"
+ umount $TESTDIR/root
+}
+
+do_test "$@"